%global version_major 2
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}

Name:           gz-tools
Version:        2.0.1
Release:        1%{?dist}
Summary:        Entry point to Gazebo's command line interface

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  make
# Documentation
BuildRequires:  doxygen

Provides: bundled(backward-cpp)

%description
Gazebo Tools provide the gz command line tool that accepts multiple
sub-commands. Each sub-command is implemented in a plugin that belongs to a
specific Gazebo project. For example, all the commands that start with gz topic
are implemented by the Gazebo Transport library.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_bindir}/gz
%{_datadir}/gz
%{_datadir}/bash-completion/completions/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*

%changelog
* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 2.0.1-1
- Initial package
